Subject: Re: [PATCH v4] git: treat "-C <treat>" as a no-op when <path> is empty

From: karthik nayak <[email-masked]>
Date: Sat, 07 Mar 2015 16:19:59 +0530

> This iteration looks sensible, except that the Subject reads
 > strange.  Will queue with minor tweaks to the log message,
 > and perhaps with a fix to unreadable *(*argv)[1] that was
 > mentioned elsewhere.
 >
 > Thanks.

Hey could you tell me what seems strange, so I can improve on
it the next time.
Also "*(*argv)[1]" seems more readable to me, maybe more of a perspective?

Thanks

On 03/07/2015 07:49 AM, Eric Sunshine wrote:
> On Fri, Mar 6, 2015 at 6:18 AM, Karthik Nayak <[email-masked]> wrote:
>> 'git -C ""' unhelpfully dies with error "Cannot change to ''",
>> whereas the shell treats `cd ""' as a no-op. Taking the shell's
>> behavior as a precedent, teach git to treat `-C ""' as a no-op, as
>> well.
>>
>> Test to check the no-op behaviour of "-C <path>" when <path> is
>> empty, written by Junio C Hamano.
>>
>> Helped-by: Junio C Hamano <[email-masked]>
>> Helped-by: Eric Sunchine <[email-masked]>
>
> s/Sunchine/Sunshine/
>
>> Signed-off-by: Karthik Nayak <[email-masked]>

Sorry Eric for the genuine mistake.